#
# spec file for package libopenvas
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 6

Name:           libopenvas
Version:        6.0.1
Release:        3.3
Url:            http://www.openvas.org
Source:         openvas-libraries-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?fedora_version} || 0%{?scientificlinux_version} || 0%{?centos_version}
BuildRequires:  gpgme-devel
BuildRequires:  libmicrohttpd10
BuildRequires:  libuuid-devel
BuildRequires:  openldap-devel
%endif

%if 0%{?mandriva_version}
BuildRequires:  gpgme-devel
BuildRequires:  libldap-devel
BuildRequires:  pinentry-gtk2
%if 0%{?mandriva_version} < 201000
BuildRequires:  ext2fs-devel
%else
BuildRequires:  libuuid-devel
%endif
%endif

%if 0%{?suse_version}
BuildRequires:  free-ttf-fonts
BuildRequires:  libgpgme-devel
BuildRequires:  libuuid-devel
BuildRequires:  openldap2-devel
%if 0%{?suse_version} > 1130
BuildRequires:  libassuan-devel
%endif
%endif

BuildRequires:  bison
BuildRequires:  cmake >= 2.6.0
BuildRequires:  doxygen
BuildRequires:  fontconfig-devel
BuildRequires:  glib2-devel >= 2.12
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig
Summary:        Support libraries for OpenVAS
License:        GPL-2.0
Group:          Productivity/Networking/Security

%description
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package -n libopenvas_base%{soname}

Summary:        Support libraries for OpenVAS
Group:          System/Libraries

%description -n libopenvas_base%{soname}
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package -n libopenvas_hg%{soname}

Summary:        Support libraries for OpenVAS
Group:          System/Libraries

%description -n libopenvas_hg%{soname}
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package -n libopenvas_misc%{soname}

Summary:        Support libraries for OpenVAS
Group:          System/Libraries

%description -n libopenvas_misc%{soname}
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package -n libopenvas_nasl%{soname}

Summary:        Support libraries for OpenVAS
Group:          System/Libraries

%description -n libopenvas_nasl%{soname}
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package -n libopenvas_omp%{soname}

Summary:        Support libraries for OpenVAS
Group:          System/Libraries

%description -n libopenvas_omp%{soname}
The support libraries for the Open Vulnerability Assessment System (OpenVAS).

%package devel

%if 0%{?fedora_version} || 0%{?scientificlinux_version}
Requires:       gpgme-devel
Requires:       libuuid-devel
%endif

%if 0%{?mandriva_version}
Requires:       gpgme-devel
%if 0%{?mandriva_version} < 201000
Requires:       ext2fs-devel
%else
Requires:       libuuid-devel
%endif
%endif

%if 0%{?suse_version}
Requires:       libgpgme-devel
Requires:       libuuid-devel
%if 0%{?suse_version} > 1130
Requires:       libassuan-devel
%endif
%endif

Requires:       gnutls-devel
Requires:       libpcap-devel

Requires:       libopenvas_base%{soname} = %{version}
Requires:       libopenvas_hg%{soname} = %{version}
Requires:       libopenvas_misc%{soname} = %{version}
Requires:       libopenvas_nasl%{soname} = %{version}
Requires:       libopenvas_omp%{soname} = %{version}
Summary:        Development files for libopenvas
Group:          Development/Libraries/C and C++

%description devel
This package contains the development files (mainly C header files) for libopenvas.


%prep
%setup -qn openvas-libraries-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_VERBOSE_MAKEFILE=ON -DSYSCONFDIR=%{_sysconfdir} -DLOCALSTATEDIR=%{_localstatedir} -DLIBDIR=%{_libdir} -DBUILD_WITH_LDAP=ON -DCMAKE_BUILD_TYPE=release
%__make %{?_smp_mflags} VERBOSE=1

%install
%__make install DESTDIR=%{buildroot}
find %{buildroot}%{_libdir} -name "*.a" -delete

%post -n libopenvas_base%{soname} -p /sbin/ldconfig

%post -n libopenvas_hg%{soname} -p /sbin/ldconfig

%post -n libopenvas_misc%{soname} -p /sbin/ldconfig

%post -n libopenvas_nasl%{soname} -p /sbin/ldconfig

%post -n libopenvas_omp%{soname} -p /sbin/ldconfig

%postun -n libopenvas_base%{soname} -p /sbin/ldconfig

%postun -n libopenvas_hg%{soname} -p /sbin/ldconfig

%postun -n libopenvas_misc%{soname} -p /sbin/ldconfig

%postun -n libopenvas_nasl%{soname} -p /sbin/ldconfig

%postun -n libopenvas_omp%{soname} -p /sbin/ldconfig

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/openvas/openvas-lsc-rpm-creator.sh
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*

%files -n libopenvas_base%{soname}
%defattr(-,root,root)
%{_libdir}/libopenvas_base.so.%{soname}*
%dir %{_datadir}/openvas
%{_datadir}/openvas/openvas-services

%files -n libopenvas_hg%{soname}
%defattr(-,root,root)
%{_libdir}/libopenvas_hg.so.%{soname}*

%files -n libopenvas_misc%{soname}
%defattr(-,root,root)
%{_libdir}/libopenvas_misc.so.%{soname}*

%files -n libopenvas_nasl%{soname}
%defattr(-,root,root)
%{_libdir}/libopenvas_nasl.so.%{soname}*

%files -n libopenvas_omp%{soname}
%defattr(-,root,root)
%{_libdir}/libopenvas_omp.so.%{soname}*

%files devel
%defattr(-,root,root)
%doc CHANGES
%{_includedir}/openvas
%{_libdir}/libopenvas_base.so
%{_libdir}/libopenvas_hg.so
%{_libdir}/libopenvas_misc.so
%{_libdir}/libopenvas_nasl.so
%{_libdir}/libopenvas_omp.so
%{_libdir}/pkgconfig/libopenvas.pc

%changelog
* Fri Oct 25 2013 johann.luce@wanadoo.fr
- Update in 6.0.1
  * Add support for setting the "autofp" parameter via omp_get_report_ext.
  * Improve compilation regarding Glib versions.
  * Take care that NVT description is sent instead of empty results,
    even for new style plugins.
* Wed Sep 11 2013 johann.luce@wanadoo.fr
- Fix problem about files are not in the good package for factory
  Fix problem in the changes file for factory
* Sat Sep  7 2013 johann.luce@wanadoo.fr
- Update to 6.0.0 version
  deleted openvas-fix-gnutls.patch
  deleted 	openvas-libraries-4.0-rc4-no_Werror.patch
  deleted 	openvas-libraries-4.0.5-removelowat.patch
  Main changes compared to 5.0.x:
  * The GnuTLS dependency has been increased from 2.2 to 2.8.
  * Support for checking if an NVT has all "new style" tags has been added.
  * License change from GPLv2 to GPLv2+ for nasl_builtin_nmap.c file for license
    harmonization purposes.
  * Support for enforcing a password policy has been moved to
    openvas-libraries.
  * CVSS and Risk Factor are now computed from the CVSS Base
    vector, if available.
  * NASL tags setting a risk_factor are now ignored. It will therefore not be
    stored in nvti files and not transferred via OTP.
  * Internal memory storage for NVTI has been changed to use caching.
  * Binding procedures for MS Active Directory Services have been improved.
  * Support for LDAPS has been added.
  * WMI registry functions have been added.
  * An issue which caused credentials to be not transferred correctly when
    scanning through a slave has been fixed.
  * Library detection and handling of library flags during the build
    process have been improved.
  * Handling of system report requests has been improved.
  * TLS support has been added to the NASL API to allow x509 certificate testing
    in NVTs.
  * Support of libssh for SSH connection handling has been improved.
    The environment variable "OPENVAS_DISABLE_LIBSSH" can be used to disable
    the new functionality.
  * Performance has been improved by avoiding excessive "gpg --version" calls.
  * Code that prevented special functions from being executed by
    non-authenticated NVTs has been removed. Background is that either the whole
    feed is treated as authenticated or as non-authenticated, but not a mixture
    of it.
  * The deprecated NASL variable "OPENVAS_NASL_LEVEL" has been removed.
  * Several memory leaks have been fixed.
  * Various compile issues have been fixed.
  * Internal code cleanups and refactoring has taken place.
  * The documentation has been updated.
  Main changes compared to 4.0.x:
  * New NASL function get_script_oid().
  * NASL function debug_message() renamed to error_message().
  * New NASL function security_message().
  * Added "Observer" role for LDAP users.
  * Extended support for LDAP authentication
  * The LDAP auth DN validation has been improved.
  * Vulnerability references (CVE, BID) are not added to result text anymore.
  * Built-in NVT Find Services now sends only log messages.
  * Built-in NVT Nmap: Improved efficiency and support CPE sent by Nmap.
  * Removed copy of regexp and use system functions always.
  * Replaced deprecated gnutls function calls by proper replacements
    to simplify build process.
  * Some support for simpler MacOS compilation.
  * Removed NASL variable NASL_LEVEL (was already marked deprecated)
  * Various improvements to build process.
  * A bug which caused outdated cache files to be used under rare circumstances
    has been fixed.
  * Code cleanup and refactoring has taken place in NVT meta data management.
  * Libssh detection has been improved.
  * Support for the observer role has been added and functionality for user
    management has been moved from openvas-administrator to openvas-libraries.
  * Support for name conversion for legacy .nes dependencies when loading the
    cache has been removed.
  * Support for improved SSH functionality has been added.
  * Support for comprehensive network scanning with nmap has been added.
  * A number of compiler warnings have been addressed.
  * Support for shared sockets has been removed.
  * OpenVAS Libraries will now honor the unscanned_closed_udp preference when
    deciding how an unscanned UDP port should be treated.
  * Nmap support has been improved.
